import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { UrlShortenerModule } from './url-shortener/url-shortener.module';
import { DnsService } from './dns/dns.service';
import { ConfigModule } from '@nestjs/config';

@Module({
  imports: [
    ConfigModule.forRoot({
    isGlobal: true, // Makes the config globally available
  }),UrlShortenerModule,
],
  controllers: [AppController],
  providers: [DnsService],
})
export class AppModule {}
