import { Module } from '@nestjs/common';
import { UrlShortenerService } from './url-shortener.service';
import { UrlShortenerController } from './url-shortener.controller';
import { DnsService } from '../dns/dns.service';

@Module({
  providers: [UrlShortenerService, DnsService],
  controllers: [UrlShortenerController],
})
export class UrlShortenerModule {}
